Bug 737455 - unzip mishandling symlinks
Summary: unzip mishandling symlinks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: unzip
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL: http://thread.gmane.org/gmane.comp.ve...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 07:39 UTC by Andreas Schwab
Modified: 2012-05-30 13:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-30 13:07:38 UTC


Attachments (Terms of Use)

Description Andreas Schwab 2011-09-12 07:39:24 UTC
$ cd linux-3.1-rc5
$ git archive --format=zip -o ../kernel.zip HEAD
$ cd ../tmp
$ unzip ../kernel.zip
[...]
finishing deferred symbolic links:
  arch/microblaze/boot/dts/system.dts -> ../../platform/generic/system.dts
  drivers/scsi/aic94xx/aic94xx_reg.h -> /*^J * Aic94xx SAS/SATA [...]
symlink error: File name too long

Comment 2 Fedora Admin XMLRPC Client 2012-05-07 09:32:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Michal Luscon 2012-05-30 13:07:38 UTC
I am not observing this behaviour with unzip-6.0-4 -> closing currentrelease


Note You need to log in before you can comment on or make changes to this bug.